Subject: Re: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Dani Moncayo <[email-masked]>
Date: Sun, 9 Sep 2012 22:20:12 +0200

> The way mark deactivation works is that the mark gets deactivated after
> any command that modified the buffer (that's the basic heuristic used
> to avoid having to change umpteen commands to explicitly deactivate-mark).

I think that the general principle for deactivating the mark is not
(and should not be) "after any command that modified the buffer", but
"after any command that _used_ the active region (for any purpose)".

For example, to copy some text on the kill ring, you select the text
and do C-w.  After that, the mark is deactivated.  The C-w command
doesn't modified the buffer, but _used_ the active region.  Thus,
after the operation on the active region is done, the mark must be
deactivated.  IMO, that is what the user wants/expects/needs, and
Emacs not always follows this principle.  Hence this bug report.

-- 
Dani Moncayo